Subject: Re: linux-next: manual merge of the dmaengine tree with the dmaengine-fixes tree

From: Vinod Koul <[email-masked]>
Date: Tue, 12 Apr 2022 16:46:07 +0530

On 12-04-22, 12:42, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the dmaengine tree got a conflict in:
> 
>   drivers/dma/mediatek/mtk-hsdma.c
> 
> between commit:
> 
>   5cfde5b82f05 ("dmaengine: mediatek: mtk-hsdma: Use platform_get_irq() to get the interrupt")
> 
> from the dmaengine-fixes tree and commit:
> 
>   bb40bb695ec8 ("dmaengine: mediatek: mtk-hsdma: Use platform_get_irq() to get the interrupt")
> 
> from the dmaengine tree.

Thanks, this should not be in fixes, I have fixed that up.

> 
> I fixed it up (I arbitrarily used the former) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell

-- 
~Vinod